当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 4 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 现在安装所有deb都出现这个错误,怎么解决呢
帖子发表于 : 2009-05-06 22:33 

注册: 2009-02-25 12:24
帖子: 414
地址: metwork
送出感谢: 0 次
接收感谢: 0 次
由于本人电脑不能上网~

用sudo dpkg -i *.deb 安装了用机房拿的300多MB的deb

虽然现在所有软件都安装了,但现在下载新的软件或使用以前安装过的软件,都出现以下图片的错误~~

怎么解决呢~~ :em11


附件:
.JPG
.JPG [ 29.39 KiB | 被浏览 60 次 ]



_________________
network
页首
 用户资料  
 
2 楼 
 文章标题 : Re: 现在安装所有deb都出现这个错误,怎么解决呢
帖子发表于 : 2009-05-06 22:37 
头像

注册: 2008-12-13 19:39
帖子: 13284
地址: 物华天宝人杰地灵
送出感谢: 1
接收感谢: 6
没有网络,想要自己解决依赖关系确实是个大麻烦呀!你要先查看现有包安装时有哪些依赖包还没有,再一个个去找。 :em20
这就是传说中的依赖地狱,楼主很不幸,没有网络,有超级牛力的Apt无用武之地了。 :em04


_________________
行到水穷处,坐看云起时。
海内生明月,天涯共此夕。
--------------------吾本独!


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 现在安装所有deb都出现这个错误,怎么解决呢
帖子发表于 : 2009-05-06 22:46 

注册: 2009-02-25 12:24
帖子: 414
地址: metwork
送出感谢: 0 次
接收感谢: 0 次
:em20

所以嘛,依赖关系解决到头痛,最后直接拿机房的和老师的deb包,全部加起来有400多MB~~

以下全安装,所有的软件都有了,现在好了连软件都无法安装了~~ :em20


:em04

去一个个找,怎么会所有的软件都无法安装呢~~


_________________
network


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 现在安装所有deb都出现这个错误,怎么解决呢
帖子发表于 : 2009-05-06 23:56 

注册: 2008-07-22 23:42
帖子: 47
送出感谢: 0 次
接收感谢: 0 次
linux 没有网络是残废的


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 4 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译